MappingData (Apache Tomcat 8.5.83 API Documentation)

Package org.apache.catalina.mapper

## Class MappingData

- java.lang.Object
- - org.apache.catalina.mapper.MappingData

-     public class MappingData
      extends java.lang.Object

  Mapping data.
  Author:
    Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Context` | `context` |
    `MessageBytes` | `contextPath` | Deprecated. Unused.
    `Context[]` | `contexts` |
    `int` | `contextSlashCount` |
    `Host` | `host` |
    `boolean` | `jspWildCard` |
    `ApplicationMappingMatch` | `matchType` |
    `MessageBytes` | `pathInfo` |
    `MessageBytes` | `redirectPath` |
    `MessageBytes` | `requestPath` |
    `Wrapper` | `wrapper` |
    `MessageBytes` | `wrapperPath` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MappingData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `recycle()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### host

          public Host host

    - #### context

          public Context context

    - #### contextSlashCount

          public int contextSlashCount

    - #### contexts

          public Context[] contexts

    - #### wrapper

          public Wrapper wrapper

    - #### jspWildCard

          public boolean jspWildCard

    - #### contextPath

          @Deprecated
          public final MessageBytes contextPath

      Deprecated.
      Unused. This will be removed in Tomcat 10.

    - #### requestPath

          public final MessageBytes requestPath

    - #### wrapperPath

          public final MessageBytes wrapperPath

    - #### pathInfo

          public final MessageBytes pathInfo

    - #### redirectPath

          public final MessageBytes redirectPath

    - #### matchType

          public ApplicationMappingMatch matchType

  - ### Constructor Detail

    - #### MappingData

          public MappingData()

  - ### Method Detail

    - #### recycle

          public void recycle()